kind: ConfigMap
apiVersion: v1
metadata:
  name: traefik-config
  namespace: kube-system
data:
  config.toml: |-
    [metrics]
      [metrics.prometheus]
        entryPoint = "traefik"
        buckets = [0.1,0.3,1.2,5.0]
    [entryPoints]
      [entryPoints.http]
      address = ":80"
        [entryPoints.http.redirect]
        entryPoint = "https"
      [entryPoints.https]
      address = ":443"
      [entryPoints.https.tls]
    [acme]
    email = "your-email-here@my-awesome-app.org"
    storage = "acme.json"
    entryPoint = "https"
    onHostRule = true
    [[acme.domains]]
      main = "local1.com"
    [acme.httpChallenge]
    entryPoint = "http"
    ################################################################
    # Global configuration
    ################################################################

    # Enable debug mode
    #
    # Optional
    # Default: false
    #
    # debug = true

    # Log level
    #
    # Optional
    # Default: "ERROR"
    #
    # logLevel = "DEBUG"

    ################################################################
    # Entrypoints configuration
    ################################################################

    # Entrypoints definition
    #
    # Optional
    # Default:
    #[entrypoints]
    #    [entrypoints.web]
    #    address = ":80"

    ################################################################
    # Traefik logs configuration
    ################################################################

    # Traefik logs
    # Enabled by default and log to stdout
    #
    # Optional
    #
    # [traefikLog]

    # Sets the filepath for the traefik log. If not specified, stdout will be used.
    # Intermediate directories are created if necessary.
    #
    # Optional
    # Default: os.Stdout
    #
    # filePath = "log/traefik.log"

    # Format is either "json" or "common".
    #
    # Optional
    # Default: "common"
    #
    # format = "common"

    ################################################################
    # Access logs configuration
    ################################################################

    # Enable access logs
    # By default it will write to stdout and produce logs in the textual
    # Common Log Format (CLF), extended with additional fields.
    #
    # Optional
    #
    # [accessLog]

    # Sets the file path for the access log. If not specified, stdout will be used.
    # Intermediate directories are created if necessary.
    #
    # Optional
    # Default: os.Stdout
    #
    # filePath = "/path/to/log/log.txt"

    # Format is either "json" or "common".
    #
    # Optional
    # Default: "common"
    #
    # format = "common"

    ################################################################
    # API and dashboard configuration
    ################################################################

    # Enable API and dashboard
    #[api]

      # Name of the related entry point
      #
      # Optional
      # Default: "traefik"
      #
      # entryPoint = "traefik"

      # Enabled Dashboard
      #
      # Optional
      # Default: true
      #
      # dashboard = false

    ################################################################
    # Ping configuration
    ################################################################

    # Enable ping
    #[ping]

      # Name of the related entry point
      #
      # Optional
      # Default: "traefik"
      #
      # entryPoint = "traefik"

    ################################################################
    # Docker configuration backend
    ################################################################

    # Enable Docker configuration backend
    #[docker]

    # Docker server endpoint. Can be a tcp or a unix socket endpoint.
    #
    # Required
    # Default: "unix:///var/run/docker.sock"
    #
    # endpoint = "tcp://10.10.10.10:2375"

    # Default domain used.
    # Can be overridden by setting the "traefik.domain" label on a container.
    #
    # Optional
    # Default: ""
    #
    # domain = "docker.localhost"

    # Expose containers by default in traefik
    #
    # Optional
    # Default: true
    #
    # exposedByDefault = true 
